<!--    CASO DE USO CU-NP-CO-125        -->
<!-- Gestionar Inscripciones y Decretos -->
<!--    @autor david.cifuentes          -->

<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<p:panel header="Liquidación de avalúos"
         xmlns="http://www.w3.org/1999/xhtml"
         xmlns:ui="http://java.sun.com/jsf/facelets"
         xmlns:f="http://java.sun.com/jsf/core"
         xmlns:h="http://java.sun.com/jsf/html"
         xmlns:p="http://primefaces.org/ui">


    <h:form id="GestionarInscripcionesDecretos">

        <ui:include src="prediosSeleccionados.xhtml" />
        <p:spacer height="10"></p:spacer>   

        <p:messages id="msgInscripcionesDecretos" showDetail="false"
                    globalOnly="false" />

        <h:panelGrid id="inscripcionesYDecretosPanel" columns="3"
                     cellpadding="5" cellspacing="5"
                     style="margin-bottom:10px">

            <p:row>
                <p:column colspan="7" rendered="#{proyectarConservacion.banderaQuintaOmitidoMejora}">
                    <h:outputLabel id="fechaMejoraLabel"
                                   value="Fecha de inscripción Catastral: "
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="20"></p:spacer>
                </p:column>
                <p:column colspan="7" rendered="#{proyectarConservacion.banderaQuintaOmitidoMejora}">
                    <h:selectOneMenu id="fechasMejoras"
                                     immediate="true"
                                     label="Fecha de inscripción Catastral: "  
                                     value="#{proyectarConservacion.predioSeleccionado.fechaInscripcionCatastral}"
                                     style="width:170px;">              
                        <f:selectItems rendered="#{proyectarConservacion.banderaQuintaMejoraFechaAct}" 
                                       value="#{proyectarConservacion.fechasTitulos}"/>
                        <f:selectItems rendered="#{proyectarConservacion.banderaQuintaMejoraFechaAct}" 
                                       value="#{proyectarConservacion.fechasInscripcionMejoras}"/>
                        <f:converter converterId="converterDate" />
                        <p:spacer height="20"></p:spacer>
                    </h:selectOneMenu>
                </p:column>

                <p:column colspan="7" rendered="#{!proyectarConservacion.banderaQuintaOmitidoMejora}">
                    <h:outputLabel id="fechaTitulosLabel"
                                   rendered="#{proyectarConservacion.banderaMostrarFechaTitulo 
                                               or proyectarConservacion.tramite.cancelacionMasiva}"
                                   value="Fecha de título: "
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="20"></p:spacer>
                </p:column>
                <p:column colspan="7" rendered="#{!proyectarConservacion.banderaQuintaOmitidoMejora}">
                    <h:selectOneMenu id="fechasTitulos"
                                     rendered="#{proyectarConservacion.banderaMostrarFechaTitulo}" immediate="true"
                                     label="Fechas de título"  value="#{proyectarConservacion.predioSeleccionado.fechaInscripcionCatastral}"
                                     style="width:170px;">              
                        <f:selectItems value="#{proyectarConservacion.fechasTitulos}"/>
                        <f:converter converterId="converterDate" />
                        <p:spacer height="20"></p:spacer>
                    </h:selectOneMenu>
                </p:column>
                <p:column colspan="7" rendered="#{!proyectarConservacion.banderaQuintaOmitidoMejora}">  
                    <h:outputLabel id="fechaInscripcionCatastastralLabel"
                                   rendered="#{!proyectarConservacion.banderaMostrarFechaTitulo 
                                               and !proyectarConservacion.tramite.cancelacionMasiva}"
                                   value="#{(proyectarConservacion.tramite.cancelacionPredio)?'Fecha cancelación':'Fecha de inscripción Catastral: '}"
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="20"></p:spacer>
                </p:column>
                <p:column colspan="7">
                    <h:outputLabel
                        rendered="#{proyectarConservacion.banderaMostrarFechaInscripcion and 
                                    (!proyectarConservacion.tramite.quintaOmitido and proyectarConservacion.actualizacionEncontradaBool and !proyectarConservacion.tramite.quintaMasivo
                                    and !proyectarConservacion.banderaQuintaOmitidoMejora)}"
                        value="#{proyectarConservacion.predioSeleccionado.fechaInscripcionCatastral}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputLabel>
                    <p:spacer height="20"></p:spacer>
                </p:column>
                <p:column colspan="7" rendered="#{(!proyectarConservacion.banderaQuintaOmitidoMejora 
                                                  and !proyectarConservacion.tramite.quintaOmitido 
                                                  and proyectarConservacion.tramite.quintaMasivo)
                                                  or proyectarConservacion.tramite.cancelacionMasiva}">
                    <h:selectOneMenu id="fechasTitulosQuintaMasivo" immediate="true"
                                     label="Fechas de título"  value="#{proyectarConservacion.predioSeleccionado.fechaInscripcionCatastral}"
                                     style="width:170px;">              
                        <f:selectItems value="#{proyectarConservacion.fechasTitulos}"/>
                        <f:converter converterId="converterDate" />
                        <p:spacer height="20"></p:spacer>
                    </h:selectOneMenu>
                </p:column>

                <p:column colspan="7">
                    <p:calendar id="fechaInscripcionCatastastral22" effect="slideDown"
                                rendered="#{proyectarConservacion.banderaMostrarFechaInscripcion and proyectarConservacion.tramite.quintaOmitido}"
                                locale="es_CO" title="#{general.formatoFechaUsuario}"
                                value="#{proyectarConservacion.predioSeleccionado.fechaInscripcionCatastral}"
                                navigator="true" tabindex="0"
                                label="Fecha de inscripción catastral" showOn="both" 
                                pattern="#{general.formatoFechaComponenteCalendar}" />
                    <p:spacer height="20"></p:spacer>
                </p:column>

                <p:column colspan="7" rendered="#{!proyectarConservacion.banderaQuintaOmitidoMejora}">
                    <p:calendar id="fechaInscripcionCatastastral" effect="slideDown"
                                rendered="#{proyectarConservacion.banderaIngresarFechaInscripcion 
                                            or (proyectarConservacion.tramite.tipoTramite =='4' and !proyectarConservacion.tramite.cancelacionMasiva)}"
                                locale="es_CO" title="#{general.formatoFechaUsuario}"
                                value="#{proyectarConservacion.predioSeleccionado.fechaInscripcionCatastral}"
                                navigator="true" tabindex="0"
                                label="Fecha de inscripción catastral" showOn="both" 
                                pattern="#{general.formatoFechaComponenteCalendar}">
                    </p:calendar>
                    <p:spacer height="20"></p:spacer>
                </p:column>
                <p:column colspan="7">
                    <p:commandButton value="Procesar liquidación de avalúos" id="procesarBtn" title="Procesar liquidación de avalúos"
                                     label="Procesar" update="inscripcionesYDecretosPanel, msgInscripcionesDecretos, tablaInscripcionesYDecretos, :tabView1:GestionarInscripcionesDecretos"
                                     action="#{proyectarConservacion.procesarInscripcionesYDecretos}" 
                                     process="@this, inscripcionesYDecretosPanel" icon="ui-icon-home"
                                     disabled="#{(((proyectarConservacion.tramite.tipoTramite =='4' and !proyectarConservacion.tramite.cancelacionMasiva) or
                                                 proyectarConservacion.tramiteSinTitulos or
                                                 !proyectarConservacion.valorM2zonaFlag or
                                                 (rc.dhAreaUnidadNoConstruida and rc.dhUsoUnidad and rc.dhDetalleCalificacion and
                                                 rc.dhAreaTotalTerrenoPrivada and rc.dhAreaTotalConstruidaPrivada)) and
                                                 !proyectarConservacion.tramite.desenglobeEtapas) or
                                                 (proyectarConservacion.banderaPredioFiscal and !proyectarConservacion.tramite.quintaNuevo)
                                            }"/>
                    <p:spacer height="20"></p:spacer>
                </p:column> 
                <p:column colspan="7">
                
                    <p:commandButton value="Procesar liquidación de avalúos para todos los predios resultantes" id="procesarBtn2" title="Procesar liquidación de avalúos para todos los predios resultantes"
                                     label="Procesar" update="inscripcionesYDecretosPanel, msgInscripcionesDecretos, tablaInscripcionesYDecretos"
                                     action="#{proyectarConservacion.procesarInscripcionesYDecretosTodos}" process="@this, inscripcionesYDecretosPanel" icon="ui-icon-home"
                                     disabled="#{!justificacionProyeccion.tramite.segundaDesenglobe 
                                                 and !justificacionProyeccion.tramite.tipoInscripcionPH 
                                                 and !proyectarConservacion.tramite.desenglobeEtapas
                                                 and !proyectarConservacion.tramite.quintaMasivo}"/>
                    <p:spacer height="20"></p:spacer>
                </p:column>
            </p:row>

        </h:panelGrid>

        <h:panelGrid rendered="#{proyectarConservacion.tramite.tipoTramite =='4'
                                 and !proyectarConservacion.tramite.cancelacionMasiva}"
                     columns="1" cellpadding="5" cellspacing="5">

            <p:dataTable id="predioSeleccionadoDT" var="predio"
                         value="#{proyectarConservacion.prediosSeleccionadosCancelacion}"
                         style="width:500px;"
                         rowKey="#{predio.id}"
                         emptyMessage="No existen predios para cancelación">


                <f:facet name="header">
                    Predio seleccionado ws
                </f:facet>

                <p:column headerText="Número predial">
                    <h:outputText value="#{predio.numeroPredial}" styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Departamento">
                    <h:outputText value="#{predio.departamento.nombre}" styleClass="outputTextStyle" >

                    </h:outputText>
                </p:column>
                <p:column headerText="Municipio">
                    <h:outputText value="#{predio.municipio.nombre}" styleClass="outputTextStyle" >

                    </h:outputText>
                </p:column>
                <p:column headerText="Tipo predio">
                    <h:outputText
                        value="#{predio.tipo}"
                        id="PredioTipoV" styleClass="outputTextStyle">
                        <f:converter converterId="converterCB" for="PredioTipoV" />
                    </h:outputText>
                    <p:spacer height="0" width="10" />
                </p:column>


            </p:dataTable>

        </h:panelGrid>


        <h:panelGrid  rendered="#{proyectarConservacion.tramite.tipoTramite !='4'
                                  or proyectarConservacion.tramite.cancelacionMasiva}" 
                      columns="1" cellpadding="5" cellspacing="5" id="decretosDT">

            <p:dataTable id="tablaInscripcionesYDecretos" var="avaluoCatastral"
                         value="#{proyectarConservacion.pPrediosAvaluosCatastrales}"
                         sortOrder="#{proyectarConservacion.pPrediosAvaluosCatastrales.vigencia}"
                         style="width:500px;" paginator="true" rows="5"
                         selectionMode="single" rowKey="#{avaluoCatastral.id}"
                         selection="#{proyectarConservacion.pPredioAvaluoCatastralSeleccionado}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                         emptyMessage="No existen avalúos catastrales a mostrar">

                <p:ajax event="rowSelect"
                        listener="#{proyectarConservacion.gestionActivacionBotonesSelect}"
                        update=":tabView1:GestionarInscripcionesDecretos" />

                <p:ajax event="rowUnselect"
                        listener="#{proyectarConservacion.gestionActivacionBotonesUnselect}"
                        update=":tabView1:GestionarInscripcionesDecretos" />

                <f:facet name="header">
                    Proyección de Inscripción / Decretos
                </f:facet>

                <p:column headerText="Decreto número">
                    <h:outputText value="#{(avaluoCatastral.actualizacion eq 'SI') ? 'Actualización' : avaluoCatastral.decretoNumero}" styleClass="outputTextStyle" />
                </p:column>

                <p:column headerText="Fecha del decreto">
                    <h:outputText value="#{avaluoCatastral.decretoFecha}" styleClass="outputTextStyle" >
                        <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
                    </h:outputText>
                </p:column>

                <p:column headerText="Valor">
                    <div style="text-align: right">
                        <h:outputText 
                            value="#{(avaluoCatastral.valorTotalAvaluoCatastral == 0) ? 'No se pudo calcular' : avaluoCatastral.valorTotalAvaluoCatastral}"
                            styleClass="outputTextStyle">
                            <f:convertNumber type="number" />
                        </h:outputText>
                    </div>
                </p:column>

                <p:column headerText="Vigencia" sortBy="#{avaluoCatastral.vigencia}">
                    <h:outputText value="#{avaluoCatastral.vigencia}"
                                  styleClass="outputTextStyle">
                        <f:convertDateTime pattern="#{general.formatoFecha}"
                                           locale="es_CO" timeZone="GMT-5" />
                    </h:outputText>
                </p:column>

            </p:dataTable>

        </h:panelGrid>

        <h:panelGrid columns="3" cellspacing="0" id="calculoManualPanel">

            <p:commandButton value="Calcular Manualmente" action="#{proyectarConservacion.reiniciarValoresCalculoManual}"
                             onstart="statusDialog2.show();" disabled="#{!proyectarConservacion.activarCalculoAvaluoManual}"
                             oncomplete="statusDialog2.hide(); calculoAvaluosFormaManualWV.show();"
                             update=":calculoAvaluosEnFormaManualForm"/>

            <p:spacer width="30"/>

            <p:commandButton value="Eliminar Cálculo Manual"
                             disabled="#{!proyectarConservacion.activarEliminarCalculoAvaluoManual or proyectarConservacion.tramite.englobeVirtual}"
                             onclick="removeAvaluoWV.show();"
                             update="decretosDT"/>

        </h:panelGrid>

        <h:panelGrid columns="1" cellpadding="5" cellspacing="5" id="observacionesPanel">
            <p:focus context="observacionesPanel" />  
            <h:outputLabel for="observaciones" value="Observaciones:  "
                           styleClass="outputLabelStyle" />
            <h:inputTextarea id="observaciones" style="width:500px;height:100px;"
                             value="#{proyectarConservacion.observacionesInscripcionesYDecretos}">
            </h:inputTextarea>
        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="0" width="100%">
            <p:commandButton value="Guardar"
                             update="GestionarInscripcionesDecretos, :actionsTramite" icon="ui-icon-disk"
                             disabled="#{proyectarConservacion.predioSeleccionado.predioOriginalTramite and !proyectarConservacion.tramite.rectificacionMatriz
                                         and !proyectarConservacion.tramite.englobeVirtual}"
                             actionListener="#{proyectarConservacion.guardarInscripcionesYDecretos}">
            </p:commandButton>
        </h:panelGrid>
    </h:form>

</p:panel>
